From: <a href="/blend/av.cgi?id=23">Kirk</a><BR>
Date: 1 May 2007<P>

May day! May day!<BR>

<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 1 May 2007<P>

Yep Kirk, May 1, 2007 and where is everybody??? <BR>
<BR>
Rens, sorry I missed the arts and crafts festival and jazz in your town this past weekend. I made the mistake of bringing one blooming Iris stalk in and my poor head almost blew off. I have only been sicker once before and duh it was for the same reason only a whole vase full of those lovley blooms. (I need to write it down least I forget again ever.) They must stay outside where their pollen cannot attack my throat and sinuses ha.<BR>
<BR>
Not only is it May 1st but tomorrow is a full moon. So you guys hang in there tight. It will change in a few days. <BR>
<BR>
Take good care and nighty night all.<BR>
<BR>
bk
<HR>